Bug 1006886 - virsh snapshot-revert requires force parameter
virsh snapshot-revert requires force parameter
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
Depends On:
Blocks: 1011875
  Show dependency treegraph
Reported: 2013-09-11 08:55 EDT by Pavel Hrdina
Modified: 2014-06-17 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: libvirt-1.1.1-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1011875 (view as bug list)
Last Closed: 2014-06-13 05:59:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Hrdina 2013-09-11 08:55:07 EDT
Description of problem:
The internal snapshot cannot be reverted. It requires a force parameter but it should work without this parameter.

Version-Release number of selected component (if applicable):
upstream, libvirt-1.1.1-4.el7.x86_64

How reproducible:

Steps to Reproduce:
1. virsh snapshot-create domain
2. virsh snapshot-revert domain snapshot-id

Actual results:
error: revert requires force: Target device address type none does not match source pci

Expected results:
The snapshot should be reverted successfully without an error message.
Comment 1 Peter Krempa 2013-09-12 06:20:29 EDT
Patch posted upstream http://www.redhat.com/archives/libvir-list/2013-September/msg00688.html
Comment 3 Shanzhi Yu 2013-09-15 21:21:54 EDT
Verify this bug with package libvirt-1.1.1-5.el7.x86_64
1. exist an guest
# virsh list 
 Id    Name                           State
 9     rhel7qcow2                     running

2. create an snapshot
# virsh snapshot-create rhel7qcow2 

Domain snapshot 1379294046 created
3. revert the snapshot
# virsh snapshot-revert rhel7qcow2 1379294046

Succeed reverting snapshot with no error,so verify this bug.
Comment 4 Ludek Smid 2014-06-13 05:59:18 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.